grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.20-68-ga0a1429


From: Paul Eggert
Subject: grep branch, master, updated. v2.20-68-ga0a1429
Date: Sun, 26 Oct 2014 05:48:22 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  a0a142906f09222fa0de40a7f4867997d31a909c (commit)
      from  3c6162e7707099967a9a9844f9071b976cde5452 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=a0a142906f09222fa0de40a7f4867997d31a909c


commit a0a142906f09222fa0de40a7f4867997d31a909c
Author: Paul Eggert <address@hidden>
Date:   Sat Oct 25 22:47:39 2014 -0700

    tests: work around older libpcre bugs when testing -P and UTF-8
    
    * tests/pcre-invalid-utf8-input: Add require_timeout_ and
    require_compiled_in_MB_support.  Put a timeout of 3 seconds on
    grep, to avoid having this test case loop forever with older
    versions of libpcre, such as those found on RHEL 6.5.
    Reported by Jim Meyering in: http://bugs.gnu.org/18806#34

diff --git a/tests/pcre-invalid-utf8-input b/tests/pcre-invalid-utf8-input
index 78bd1cf..71d4877 100755
--- a/tests/pcre-invalid-utf8-input
+++ b/tests/pcre-invalid-utf8-input
@@ -9,21 +9,23 @@
 
 . "${srcdir=.}/init.sh"; path_prepend_ ../src
 require_pcre_
+require_timeout_
 require_en_utf8_locale_
+require_compiled_in_MB_support
 
 fail=0
 
 printf 'j\202j\nj\nk\202\n' > in || framework_failure_
 
-LC_ALL=en_US.UTF-8 grep -P j in
+LC_ALL=en_US.UTF-8 timeout 3 grep -P j in
 test $? -eq 0 || fail=1
 
-LC_ALL=en_US.UTF-8 grep -P 'k$' in
+LC_ALL=en_US.UTF-8 timeout 3 grep -P 'k$' in
 test $? -eq 1 || fail=1
 
 echo k >exp
 
-LC_ALL=en_US.UTF-8 grep -aoP 'k*' in >out || fail=1
+LC_ALL=en_US.UTF-8 timeout 3 grep -aoP 'k*' in >out || fail=1
 compare exp out || fail=1
 
 Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 tests/pcre-invalid-utf8-input |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]